#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.2.4
id: foldl-1.2.4-84LlB7zTEfF6IvCCH9jbz8
key: foldl-1.2.4-84LlB7zTEfF6IvCCH9jbz8
license: BSD3
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
author: Gabriel Gonzalez
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
hidden-modules: Control.Foldl.Internal
abi: f9556713562d18836c56c0f5ed3e7f85
trusted: False
import-dirs: /usr/lib/ghc-8.0.1/site-local/foldl-1.2.4
library-dirs: /usr/lib/ghc-8.0.1/site-local/foldl-1.2.4
data-dir: /usr/share/arm-linux-ghc-8.0.1/foldl-1.2.4
hs-libraries: HSfoldl-1.2.4-84LlB7zTEfF6IvCCH9jbz8
depends:
    base-4.9.0.0 bytestring-0.10.8.1 comonad-5-5jqxojYZXvS9BgaW2ELuf6
    containers-0.5.7.1 contravariant-1.4-BhMeiKXigEF6jqFehOEdeG
    mwc-random-0.13.5.0-JV0Fije0tjpAZxTL84rKQ4
    primitive-0.6.2.0-3HSsNCfUEEE4fjqDYVydYZ
    profunctors-5.2-26hU98nm40THvHlzW89hrk
    text-1.2.2.1-FgcR4Xf0VlEHD9HLxzq9WJ transformers-0.5.2.0
    vector-0.12.0.1-FyKxZ6HyOdr5RycjHR2p0f
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
